configure: Silence lld-link when getting the version number
authorMartin Storsjö <martin@martin.st>
Thu, 3 Nov 2016 12:14:12 +0000 (14:14 +0200)
committerMartin Storsjö <martin@martin.st>
Fri, 4 Nov 2016 19:37:57 +0000 (21:37 +0200)
In recent lld-link versions, this command prints the version to
stdout, but also prints an error to stderr:

$ lld-link -flavor gnu --version
LLD 4.0.0 (trunk 285641)
lld-link: error: no input files
lld-link: error: target emulation unknown: -m or at least one .o file required

Signed-off-by: Martin Storsjö <martin@martin.st>
configure

index 9264bb5..23be425 100755 (executable)
--- a/configure
+++ b/configure
@@ -3291,7 +3291,7 @@ probe_cc(){
         _type=lld-link
         # The link.exe mode doesn't have a switch for getting the version,
         # but we can force it back to gnu mode and get the version from there.
-        _ident=$($_cc -flavor gnu --version)
+        _ident=$($_cc -flavor gnu --version 2>/dev/null)
         _ld_o='-out:$@'
         _flags_filter=msvc_flags
         _ld_lib='lib%.a'